<odoo>
    <record id="inhertied_helpdesk_support_kanban_view" model="ir.ui.view">
        <field name="name">helpesk.kanban.inherit</field>
        <field name="model">helpdesk.support</field>
        <field name="inherit_id" ref="website_helpdesk_support_ticket.helpdesk_view_kanban"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='priority']" position="after">
                <field name="lead_id"/>
                <field name="is_lead"/>
                <field name="lead_user_id"/>
                <field name="company_id"/>
                <field name="partner_id"/>
                <field name="team_id"/>
            </xpath>
            <!--            <xpath expr="//div[@class='oe_kanban_content']" position="before">-->
            <!--                <div class="o_kanban_tags_section">-->
            <!--                    <strong><field name="ticket_origin" /></strong><br/>-->
            <!--                    <t t-if="record.lead_id.raw_value">-->
            <!--                        CRM: Opportunity <field name="lead_id"/>-->
            <!--                    </t><br/>-->
            <!--                    <t t-if="record.project_id.raw_value">-->
            <!--                        Project: <field name="project_id"/>-->
            <!--                    </t>-->
            <!--&lt;!&ndash;                    <t t-if="record.team_id.raw_value">&ndash;&gt;-->
            <!--&lt;!&ndash;                        <strong>Helpdesk: <field name="team_id"/></strong>&ndash;&gt;-->
            <!--&lt;!&ndash;                    </t>&ndash;&gt;-->
            <!--                </div>-->
            <!--                <div class="o_kanban_tags_section">-->
            <!--                    Client: <field name="partner_id"/>-->
            <!--                </div>-->
            <!--                <div class="o_kanban_tags_section">-->
            <!--                    <strong>Company: <field name="company_id"/></strong>-->
            <!--                </div>-->
            <!--            </xpath>-->
            <xpath expr="//div[@class='oe_kanban_content']" position="replace">
                <div name="div_1" class="oe_kanban_content" attrs="{'invisible': [('ticket_origin','in', ['Helpdesk', 'CRM'])]}">
                    <strong><field name="ticket_origin" /></strong><br/>
                    Project:<field name="project_id" /><br/>
                    Customer:<field name="partner_id" /><br/>
                    SalePerson:
                    <!--                                            <field name="h_partner_id" />-->
                    <br/>
                    Task:<field name="custom_project_task_ids" /><br/>
                    Assigned To: <field name="user_id" /><br/>
                    Stage: <field name="stage_id" /><br/>
<!--                    Deadline:<field name="dead_line_date" /><br/>-->
                    Last Updated Date <field name="write_date" /><br/>
                    Hours Spent <field name="total_spend_hours"/><br/>
                    <!--                    <br/>-->
                    <!--                    <br/>-->
                    <!--                    <div>-->
                    <!--                        <div>-->
                    <!--                            <field name="priority" widget="priority" />-->
                    <!--                        </div>-->
                    <!--                    </div>-->
                    <div class="o_kanban_footer">
                        <field name="priority" widget="priority" groups="base.group_user"/>
                        <t t-if="record.message_needaction_counter.raw_value">
                            <span class='oe_kanban_mail_new' title='Unread Messages'><i class='fa fa-comments'/><t t-raw="record.message_needaction_counter.raw_value"/></span>
                        </t>
                        <div>
                            <img t-att-src="kanban_image('res.users', 'image_small', record.user_id.raw_value)" t-att-title="record.user_id.value" width="24" height="24" class="oe_kanban_avatar pull-right" alt="user_img"/>
                        </div>
                    </div>
                </div>
                <div name="div_2" class="oe_kanban_content" attrs="{'invisible': [('ticket_origin','in', ['Project', 'CRM'])]}">
                    <strong><field name="ticket_origin" /></strong><br/>
                    Helpdesk:<field name="name" /><br/>
                    Customer:<field name="partner_id" /><br/>
                    SalePerson:
                    <!--                                            <field name="h_partner_id" />-->
                    <br/>
                    Ticket:<field name="subject" /><br/>
                    Assigned To: <field name="user_id" /><br/>
                    Stage: <field name="stage_id" /><br/>
<!--                    Deadline:<field name="dead_line_date" /><br/>-->
                    Last Updated Date: <field name="write_date" /><br/>
                    Hours Spent: <field name="total_spend_hours"/><br/>
                    Category: <field name="ticket_category"/><br/>
                    <!--                    <br/>-->
                    <!--                    <br/>-->
                    <!--                    <div>-->
                    <!--                        <div>-->
                    <!--                            <field name="priority" widget="priority" />-->
                    <!--                        </div>-->
                    <!--                    </div>-->
                    <div class="o_kanban_footer">
                        <field name="priority" widget="priority" groups="base.group_user"/>
                        <t t-if="record.message_needaction_counter.raw_value">
                            <span class='oe_kanban_mail_new' title='Unread Messages'><i class='fa fa-comments'/><t t-raw="record.message_needaction_counter.raw_value"/></span>
                        </t>
                        <div>
                            <img t-att-src="kanban_image('res.users', 'image_small', record.user_id.raw_value)" t-att-title="record.user_id.value" width="24" height="24" class="oe_kanban_avatar pull-right" alt="user_img"/>
                        </div>
                    </div>
                </div>
                <div name="div_3" class="oe_kanban_content" attrs="{'invisible': [('ticket_origin','in', ['Project', 'Helpdesk'])]}">
                    <strong><field name="ticket_origin" /></strong><br/>
                    CRM:<field name="subject" /><br/>
                    Customer:<field name="partner_id" /><br/>
                    SalePerson:
                    <!--                                            <field name="h_partner_id" />-->
                    <br/>
                    Ticket Ref:<field name="subject" /><br/>
                    Assigned To: <field name="user_id" /><br/>
                    Stage: <field name="stage_id" /><br/>
<!--                    Deadline:<field name="dead_line_date" /><br/>-->
                    Last Updated Date: <field name="write_date" /><br/>
                    Hours Spent: <field name="total_spend_hours"/><br/>
                    <!--                    <br/>-->
                    <!--                    <br/>-->
                    <!--                    <div>-->
                    <!--                        <div>-->
                    <!--                            <field name="priority" widget="priority" />-->
                    <!--                        </div>-->
                    <!--                    </div>-->
                    <div class="o_kanban_footer">
                        <field name="priority" widget="priority" groups="base.group_user"/>
                        <t t-if="record.message_needaction_counter.raw_value">
                            <span class='oe_kanban_mail_new' title='Unread Messages'><i class='fa fa-comments'/><t t-raw="record.message_needaction_counter.raw_value"/></span>
                        </t>
                        <div>
                            <img t-att-src="kanban_image('res.users', 'image_small', record.user_id.raw_value)" t-att-title="record.user_id.value" width="24" height="24" class="oe_kanban_avatar pull-right" alt="user_img"/>
                        </div>
                    </div>
                </div>
            </xpath>
        </field>
    </record>

    <record model="ir.ui.view" id="helpdesk_support_form_view_inherit_1">
            <field name="name">Helpdesk form inherit</field>
            <field name="model">helpdesk.support</field>
            <field name="inherit_id" ref="website_helpdesk_support_ticket.helpdesk_support_form_view"/>
            <field name="arch" type="xml">
                <xpath expr="//field[@name='stage_id']" position="replace">
                     <field name="stage_id" widget="statusbar" clickable="True"
                            options="{'fold_field': 'fold'}"
                            domain="[('ticket_cat_ids', '=', ticket_category)]"
                            attrs="{'invisible': [('active', '=', False)]}"/>
                </xpath>
                 <xpath expr="//page[@name='timesheets']//field[@name='timesheet_line_ids']//tree/field[@name='name']" position="after">
                    <field name="date_start" required="1"/>
                    <field name="date_stop" required="1"/>
                    <field name="cost_rate"/>
                    <field name="tot_cost"/>
                </xpath>


            </field>
    </record>

     <!--<record id="helpdesk_support_search_view_inherit_custom_category" model="ir.ui.view">-->
            <!--<field name="name">Helpdesk.search.view.inherit.category</field>-->
            <!--<field name="model">helpdesk.support</field>-->
            <!--<field name="inherit_id" ref="website_helpdesk_support_ticket.helpdesk_support_search_view"/>-->
            <!--<field name="arch" type="xml">-->
                 <!--<xpath expr = "//field[@name='remaining_hours']" position="after">-->
                     <!--<filter string="category" name="Category" domain="[('ticket_cat_ids', '=', ticket_category)]"/>-->
                 <!--</xpath>-->
            <!--</field>-->
     <!--</record>-->
</odoo>